/*法定合并-清理业务规则执行情况日志-系统调度预置*/

/*调度任务类名*/
DELETE FROM t_sch_taskdefine WHERE FID = '22JO=8FEBR2V';
INSERT INTO t_sch_taskdefine (fid, fclassname, fnumber, fappid) VALUES ('22JO=8FEBR2V', 'kd.fi.bcm.business.computing.task.BizRuleExecuteLogCleanTask', 'bcm_CleanExecuteLogTask', 'cm');

DELETE FROM t_sch_taskdefine_l WHERE FPKID = '22JO=8FEB77X';
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '22JO=8FEB77Y';
INSERT INTO t_sch_taskdefine_l (fpkid, fid, flocaleid, fname) VALUES ('22JO=8FEB77X', '22JO=8FEBR2V', 'zh_CN', '清理业务规则执行情况日志');
INSERT INTO t_sch_taskdefine_l (fpkid, fid, flocaleid, fname) VALUES ('22JO=8FEB77Y', '22JO=8FEBR2V', 'zh_TW', '清理業務規則執行情況日誌');

/*调度作业*/
DELETE FROM T_SCH_JOB WHERE FID = '22JP8URQNV8Z';
INSERT INTO t_sch_job (fid, fjobtype, ftaskclassname, frunbyuserid, fnumber, ftaskdefineid, fstatus, fparams,
                       ftimeout, frunbyorgid, frunbylang, fconcurrent, frunmode, fstrategy, fretrytime, fcanstop) VALUES ('22JP8URQNV8Z', 'BIZ', 'kd.fi.bcm.business.computing.task.BizRuleExecuteLogCleanTask', 1, 'cm_bcm_CleanExecuteLogJob_SKDJ_S', '22JO=8FEBR2V', '1', '{}', 0, 0, 'zh_CN', '1', '0', '1', 0, '0');

DELETE FROM T_SCH_JOB_l WHERE FPKID = '22JP8URQN4+6';
DELETE FROM T_SCH_JOB_l WHERE FPKID = '22JP8URQN4+7';
INSERT INTO t_sch_job_l (fpkid, fid, flocaleid, fname) VALUES ('22JP8URQN4+6', '22JP8URQNV8Z', 'zh_CN', '清理业务规则执行情况日志');
INSERT INTO t_sch_job_l (fpkid, fid, flocaleid, fname) VALUES ('22JP8URQN4+7', '22JP8URQNV8Z', 'zh_TW', '清理業務規則執行情況日誌');

-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '22JPMMK1RRC3';
INSERT INTO t_sch_schedule (fid, fjobid, fstarttime, fendtime, fplan, fnumber, fstatus, fcyclenum, fhost, fsun, fsat, ffri, fthur, fwed, ftues, fmon, fone, ftwo, fthirtyone, fthirty, ftwentynine, ftwentyeight, ftwentyseven, ftwentysix, ftwentyfive, ftwentyfour, ftwentythree, ftwentytwo, ftwentyone, ftwenty, fnineteen, feighteen, fseventeen, fsixteen, ffifteen, ffourteen, fthirteen, ftwelve, feleven, ften, fnine, feight, fseven, fsix, ffive, ffour, fthree, fno, fnoweek, fjan, fdec, fnov, foct, fsep, faug, fjul, fjun, fmay, fapr, fmar, ffeb, fbyweek, fbydayorweek, fdesc, frepeatmode) VALUES ('22JPMMK1RRC3', '22JP8URQNV8Z', {ts'2021-12-16 00:00:00'}, {ts'2099-12-31 00:00:00'}, '0 0 2 15 * ?', 'cm_bcm_CleanExecuteLog_SKDP_S', '1', 1, '172.19.106.119', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-12-16 00:00:00起，
每1月的15日2时重复。
预计最近十次执行时间：
2022-01-15 02:00:00,
2022-02-15 02:00:00,
2022-03-15 02:00:00,
2022-04-15 02:00:00,
2022-05-15 02:00:00,
2022-06-15 02:00:00,
2022-07-15 02:00:00,
2022-08-15 02:00:00,
2022-09-15 02:00:00,
2022-10-15 02:00:00', 'm');

DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '22JPMMK1SGMW';
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '22JPMMK1SGMX';
INSERT INTO t_sch_schedule_l (fpkid, fid, flocaleid, fname) VALUES ('22JPMMK1SGMW', '22JPMMK1RRC3', 'zh_CN', '清理业务规则执行情况日志');
INSERT INTO t_sch_schedule_l (fpkid, fid, flocaleid, fname) VALUES ('22JPMMK1SGMX', '22JPMMK1RRC3', 'zh_TW', '清理業務規則執行情況日誌');

-- 调度计划分录
DELETE FROM t_sch_schedule_entry WHERE fentryid = '22KAUJW=7Y5C';
INSERT INTO t_sch_schedule_entry (fid, fentryid, fseq, fjobnumber) VALUES ('22JPMMK1RRC3', '22KAUJW=7Y5C', 1, '22JP8URQNV8Z');