﻿/**Begin D:\DBA\PDM_UPGRADE\PDM1\BCM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_FIDM_MODEL', 'T_FIDM_MODEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_MODEL') CREATE INDEX IDX_FIDM_MODEL ON T_FIDM_MODEL ( FMODELID );


 EXEC P_ALTERPK 'PK_T_FIDM_DS', 'T_FIDM_DS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_DS_MODELID_TYPE') CREATE INDEX IDX_FIDM_DS_MODELID_TYPE ON T_FIDM_DS ( FMODELID ,FTYPE );


 EXEC P_ALTERPK 'PK_T_FIDM_DS_SINGLE', 'T_FIDM_DS_SINGLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_DS_SINGLE') CREATE INDEX IDX_FIDM_DS_SINGLE ON T_FIDM_DS_SINGLE ( FDATASETID );


 EXEC P_ALTERPK 'PK_T_FIDM_DS_MUL', 'T_FIDM_DS_MUL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_DS_MUL') CREATE INDEX IDX_FIDM_DS_MUL ON T_FIDM_DS_MUL ( FDATASETID );


 EXEC P_ALTERPK 'PK_T_FIDM_DS_VAR', 'T_FIDM_DS_VAR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_DS_VAR') CREATE INDEX IDX_FIDM_DS_VAR ON T_FIDM_DS_VAR ( FDATASETID );


 EXEC P_ALTERPK 'PK_T_FIDM_VARIABLE', 'T_FIDM_VARIABLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_VARIABLE') CREATE INDEX IDX_FIDM_VARIABLE ON T_FIDM_VARIABLE ( FMODELID ,FNUMBER );


 EXEC P_ALTERPK 'PK_T_FIDM_VAR_ENUM', 'T_FIDM_VAR_ENUM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_VAR_ENUM') CREATE INDEX IDX_FIDM_VAR_ENUM ON T_FIDM_VAR_ENUM ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_VARIABLE_L', 'T_FIDM_VARIABLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_VARIABLE_L') CREATE INDEX IDX_FIDM_VARIABLE_L ON T_FIDM_VARIABLE_L ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_VAR_ENUM_L', 'T_FIDM_VAR_ENUM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_VAR_ENUM_L') CREATE INDEX IDX_FIDM_VAR_ENUM_L ON T_FIDM_VAR_ENUM_L ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_FIELDCHANGELOG', 'T_FIDM_FIELDCHANGELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_FIELDCHANGELOG') CREATE INDEX IDX_FIDM_FIELDCHANGELOG ON T_FIDM_FIELDCHANGELOG ( FMODELID ,FENTITYKEY ,FDEALFIELDKEY );


 EXEC P_ALTERPK 'PK_T_FIDM_FIELDCHANGELOG_L', 'T_FIDM_FIELDCHANGELOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_FIELDCHANGELOG_L') CREATE INDEX IDX_FIDM_FIELDCHANGELOG_L ON T_FIDM_FIELDCHANGELOG_L ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_TMPLCATALOG', 'T_FIDM_TMPLCATALOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_TMPLCATALOG') CREATE INDEX IDX_FIDM_TMPLCATALOG ON T_FIDM_TMPLCATALOG ( FMODELID );


 EXEC P_ALTERPK 'PK_T_FIDM_TMPLCATALOG_L', 'T_FIDM_TMPLCATALOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_TMPLCATALOG_L') CREATE INDEX IDX_FIDM_TMPLCATALOG_L ON T_FIDM_TMPLCATALOG_L ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_TEMPLATE', 'T_FIDM_TEMPLATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_FIDM_TEMPLATE') CREATE INDEX IDX_T_FIDM_TEMPLATE ON T_FIDM_TEMPLATE ( FMODELID );


 EXEC P_ALTERPK 'PK_T_FIDM_TEMPLATE_L', 'T_FIDM_TEMPLATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_TEMPLATE_L') CREATE INDEX IDX_FIDM_TEMPLATE_L ON T_FIDM_TEMPLATE_L ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_TMPLDEFDIM', 'T_FIDM_TMPLDEFDIM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_TMPLDEFDIM') CREATE INDEX IDX_FIDM_TMPLDEFDIM ON T_FIDM_TMPLDEFDIM ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_TMPLPARAMDIM', 'T_FIDM_TMPLPARAMDIM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_TMPLPARAMDIM') CREATE INDEX IDX_FIDM_TMPLPARAMDIM ON T_FIDM_TMPLPARAMDIM ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_REPORT', 'T_FIDM_REPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_REPORT') CREATE INDEX IDX_FIDM_REPORT ON T_FIDM_REPORT ( FMODELID );


 EXEC P_ALTERPK 'PK_T_FIDM_REPORT_DIM', 'T_FIDM_REPORT_DIM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_REPORT_DIM') CREATE INDEX IDX_FIDM_REPORT_DIM ON T_FIDM_REPORT_DIM ( FREPORTID );


 EXEC P_ALTERPK 'PK_T_FIDM_REPORTNAMERULE', 'T_FIDM_REPORTNAMERULE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_REPORTNAMERULE') CREATE INDEX IDX_FIDM_REPORTNAMERULE ON T_FIDM_REPORTNAMERULE ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_MODEL_L', 'T_FIDM_MODEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_MODEL_L') CREATE INDEX IDX_FIDM_MODEL_L ON T_FIDM_MODEL_L ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_DS_L', 'T_FIDM_DS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_DS_L') CREATE INDEX IDX_FIDM_DS_L ON T_FIDM_DS_L ( FID );


 EXEC P_ALTERPK 'PK_T_FIDM_DS_MUL_L', 'T_FIDM_DS_MUL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FIDM_DS_MUL_L') CREATE INDEX IDX_FIDM_DS_MUL_L ON T_FIDM_DS_MUL_L ( FID );



/**End D:\DBA\PDM_UPGRADE\PDM1\BCM_constraint.sql **/
